Bug 232011 - lang/cmucl: Update to 21.b, Take MAINTAINER'ship
Summary: lang/cmucl: Update to 21.b, Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-qa
Depends on:
Blocks: 233195
  Show dependency treegraph
 
Reported: 2018-10-06 17:13 UTC by Lorenzo Salvadore
Modified: 2019-01-07 03:30 UTC (History)
1 user (show)

See Also:
phascolarctos: maintainer-feedback+


Attachments
patch for cmucl (6.20 KB, patch)
2018-10-06 17:13 UTC, Lorenzo Salvadore
no flags Details | Diff
path for cmucl (correction) (6.74 KB, patch)
2018-10-17 13:04 UTC, Lorenzo Salvadore
phascolarctos: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore 2018-10-06 17:13:18 UTC
Created attachment 197844 [details]
patch for cmucl

I would like to adopt this port. I have updated it to the most recent version for FreeBSD, added LICENSE and made some more little modifications.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-10-17 12:33:27 UTC
Thank you for offering to maintain a FreeBSD port Lorenzo.

Among other things, you may want to double-check the following change:

-PORTVERSION=	19f
+DISTVERSION=	21b

In particular that the PORTVERSION (before the change), is > the derived (since DISTVERSION is used) PORTVERSION after the change. PORTVERSION's must only increase, see:

 * https://www.freebsd.org/doc/en/books/porters-handbook/book.html#makefile-versions-ex-pkg-version
 * https://www.freebsd.org/doc/en/books/porters-handbook/book.html#idp54046408


You can use `pkg version -t <ver1> <ver2>` to check

Worth confirming other QA checks pass as well, especially portlint/poudriere, for details and instructions, see:

https://www.freebsd.org/doc/en/books/porters-handbook/testing.html
Comment 2 Lorenzo Salvadore 2018-10-17 13:04:32 UTC
Created attachment 198266 [details]
path for cmucl (correction)

I checked that version increases: it does.

I tested with portlint and poudriere. Portlint produced some warnings and I fixed what needed to be fixed (moving an info file from pkg-plist to INFO macro).

Now portlint and poudriere tests both passed.
Comment 3 Lorenzo Salvadore 2018-11-13 09:02:35 UTC
The changelog can be found here:
https://gitlab.common-lisp.net/cmucl/cmucl/wikis/Release21b

I add details on the poudriere tests I successfuly made: I tested on 11.2-RELEASE, both for amd64 an i386.
Comment 4 Lorenzo Salvadore 2018-11-13 09:09:56 UTC
Sorry, I have to add those changelogs too that are also relevant (last version in ports tree is 19f):

https://gitlab.common-lisp.net/cmucl/cmucl/wikis/Release21a
https://trac.common-lisp.net/cmucl/wiki/ReleaseNotes20c
https://www.cons.org/cmucl/news/release-20b.txt
https://www.cons.org/cmucl/news/release-20a.txt
Comment 5 commit-hook freebsd_committer 2019-01-06 01:29:52 UTC
A commit references this bug:

Author: swills
Date: Sun Jan  6 01:29:15 UTC 2019
New revision: 489429
URL: https://svnweb.freebsd.org/changeset/ports/489429

Log:
  lang/cmucl: Update to 21.b, cleanup

  While here, assign maintainership to submitter

  PR:		232011
  Submitted by:	Lorenzo Salvadore <phascolarctos@protonmail.ch>

Changes:
  head/lang/cmucl/Makefile
  head/lang/cmucl/distinfo
  head/lang/cmucl/pkg-plist
Comment 6 Steve Wills freebsd_committer 2019-01-06 01:30:29 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2019-01-07 03:30:43 UTC
A commit references this bug:

Author: koobs
Date: Mon Jan  7 03:30:26 UTC 2019
New revision: 489556
URL: https://svnweb.freebsd.org/changeset/ports/489556

Log:
  lang/cmucl{-extra}: Correct maintainer address

  The MAINTAINER email address for the following ports were inadvertently
  submitted [1] as FreeBSD.org addresses:

   - ports r489429 (lang/cmucl) via bug 232011
   - ports r489430 (lang/cmucl-extra) via bug 233195

  This change updates MAINTAINER lines to the correct address.

  PR:		234655 [1], 232011, 233195
  Submitted by:	Lorenzo Salvadore <phascolarctos protonmail ch> (maintainer)

Changes:
  head/lang/cmucl/Makefile
  head/lang/cmucl-extra/Makefile